﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ScrollPagerSaveLoad
{
  public partial class Form1 : Form
  {
    string filename = @"C:\Temp\TestScrollPager.txt";

    public Form1()
    {
      InitializeComponent();      
    }

    private void dataButton_Click(object sender, EventArgs e)
    {
      line1.FillSampleValues(100);
      scrollPager1.Series = line1;
    }

    private void loadButton_Click(object sender, EventArgs e)
    {
      StreamReader reader = new StreamReader(filename);
      string data = reader.ReadToEnd();
      reader.Close();
      MemoryStream memStream = new MemoryStream();

      byte[] byteArray = Convert.FromBase64String(data);
      for (int i = 0; i < byteArray.Length; i++)
      {
        memStream.WriteByte(byteArray[i]);
      }
      memStream.Seek(0, SeekOrigin.Begin);
      byteArray = null;
      tChart1.Import.Template.Load(memStream);
      memStream.Dispose();
    }

    private void saveButton_Click(object sender, EventArgs e)
    {
      MemoryStream memStream = new MemoryStream();
      tChart1.Export.Template.IncludeData = false;
      tChart1.Export.Template.Save(memStream);
      
      StreamWriter writer = new StreamWriter(filename);
      writer.WriteLine(Convert.ToBase64String(memStream.ToArray()));
      writer.Close();
      memStream.Dispose();
    }

    private void editButton_Click(object sender, EventArgs e)
    {
      tChart1.ShowEditor();
    }
  }
}
